%define mozver %(rpm -q mozilla --qf "%%{name} = %%{epoch}:%%{version}")
ExclusiveArch: i386 x86_64 ppc s390

Summary:             API document browser
Name:                devhelp
Version:             0.9
Release:             3
License:             GPL
Group:               Development/Tools
Url:                 http://www.imendio.com/projects/devhelp/
Source:              %{name}-%{version}.tar.bz2
Patch1:              devhelp-0.9-ld-library-path.patch
BuildRoot:           %{_tmppath}/%{name}-%{version}-root

Requires:            gtk2 >= 2.2.0
Requires:            libgnomeui >= 2.2.0
Requires:            gnome-vfs2 >= 2.2.0
Requires:            libglade2 >= 2.2.0
Requires:            %mozver

BuildRequires:       gtk2-devel >= 2.2.0
BuildRequires:       libgnomeui-devel >= 2.2.0
BuildRequires:       gnome-vfs2-devel >= 2.2.0
BuildRequires:       libglade2-devel >= 2.2.0
BuildRequires:       mozilla-devel >= 1.6
BuildRequires:       mozilla
BuildRequires:       intltool
BuildRequires:       gettext
BuildRequires:       desktop-file-utils

%description
A API document browser for GNOME 2.

%package devel
Summary:             Library to embed Devhelp in other applications.
Group:               Development/Libraries
Requires:            %name = %{PACKAGE_VERSION}
Requires:            gtk2-devel >= 2.2.0
Requires:            libgnomeui-devel >= 2.2.0
Requires:            gnome-vfs2-devel >= 2.2.0

%description devel
Library of Devhelp for embedding into other applications.

%prep
%setup -q
%patch1 -p1 -b .ld-library-path

%build

intltoolize
%configure --with-html-widget=gtkhtml2

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix} install 
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome			\
  --delete-original					\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications		\
  --add-category X-Red-Hat-Base				\
  $RPM_BUILD_ROOT%{_datadir}/applications/devhelp.desktop

find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name "*.a" -exec rm -f {} ';'

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="devhelp.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README INSTALL

%{_bindir}/devhelp
%{_bindir}/devhelp-bin
%{_libdir}/libdevhelp*.so.*

%{_datadir}/applications/*.desktop
%{_datadir}/devhelp
%{_datadir}/pixmaps/*
%{_datadir}/mime-info/devhelp.mime
%{_datadir}/mime-info/devhelp.keys
%{_sysconfdir}/gconf/schemas/*.schemas

%files devel
%defattr(-,root,root)
%{_prefix}/include/devhelp-1.0
%{_libdir}/libdevhelp*.so
%{_libdir}/pkgconfig/*

%changelog
* Wed Apr 21 2004 Colin Walters <walters@redhat.com> 0.9-3
- Update patch to avoid (unlikely) security issue noticed
  by Jeremy Katz.

* Mon Apr 15 2004 Colin Walters <walters@redhat.com> 0.9-2
- Apply patch from George Karabin <gkarabin@pobox.com> to
  export LD_LIBRARY_PATH (closes bug 120220).

* Fri Apr  2 2004 Mark McLoughlin <markmc@redhat.com> 0.9-1
- Update to 0.9
- Install the schemas correctly
- Package /usr/bin/devhelp-bin
- Update requires/buildrequires
- Only build on platforms where mozilla is available

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 0.8.1-1
- update to 0.8.1

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Dec  1 2003 Jonathan Blandford <jrb@redhat.com> 0.7.0-1
- new version
- Remove .la and .a files.

* Wed Jul 30 2003 Jonathan Blandford <jrb@redhat.com>
- remove original devhelp desktop file.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat May 24 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add find_lang
